Results 1 to 8 of 8

Thread: Screenlocker crash in opensuse Leap 42.2.

  1. #1

    Default Screenlocker crash in opensuse Leap 42.2.

    KDE Plasma: 5.11.95
    Frameworks: 5.42.0
    Qt: 5.10.0
    Kernel: 4.4.104-18-44-default
    OS type: 64bit

    When selecting "Lock screen", the screen blinks very quickly for a couple of times than a message appears saying something like
    login to Alt-Ctrl-1 and enter loginctl unlock-session ...

    The console command /usr/lib64/libexec/kscreenlocker_greet --testing brings the following up
    OpenGL vendor string: NVIDIA Corporation
    OpenGL renderer string: Quadro K2000/PCIe/SSE2
    OpenGL version string: 4.5.0 NVIDIA 384.111
    OpenGL shading language version string: 4.50 NVIDIA
    Driver: NVIDIA
    Driver version: 384.111
    GPU class: Unknown
    OpenGL version: 4.5
    GLSL version: 4.50
    Linux kernel version: 4.4.104
    Requires strict binding: no
    GLSL shaders: yes
    Texture NPOT support: yes
    Virtual Machine: no
    Locked at 1518169152
    kf5.kpackage: No metadata file in the package, expected it at: "/usr/share/wallpapers/Next/contents/images/"
    kf5.kpackage: No metadata file in the package, expected it at: "/usr/share/wallpapers/Next/contents/images/"
    kf5.kpackage: No metadata file in the package, expected it at: "/usr/share/wallpapers/Next/contents/images/"
    kf5.kpackage: No metadata file in the package, expected it at: "/usr/share/wallpapers/Next/contents/images/"
    kf5.kpackage: No metadata file in the package, expected it at: "/usr/share/wallpapers/Next/contents/images/"
    kf5.kpackage: No metadata file in the package, expected it at: "/usr/share/wallpapers/Next/contents/images/"
    kf5.kpackage: No metadata file in the package, expected it at: "/usr/share/wallpapers/Next/contents/images/"
    kf5.kpackage: No metadata file in the package, expected it at: "/usr/share/wallpapers/Next/contents/images/"
    kf5.kpackage: No metadata file in the package, expected it at: "/usr/share/wallpapers/Next/contents/images/"
    UdevQt: unable to create udev monitor connection
    Empty filename passed to function
    Empty filename passed to function
    Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
    Empty filename passed to function
    QXcbClipboard::setMimeData: Cannot set X11 selection owner
    QXcbClipboard::setMimeData: Cannot set X11 selection owner
    couldn't lock local file

    Any idea. I already reinstalled Nvidia from the suse repo but no change.

    Regards,
    Bojan

  2. #2

    Default Re: Screenlocker crash in opensuse Leap 42.2.

    I have had the same problem with Plasma 5.10.
    Strangely, there were two packages provided by the Leap-Update repo instead of Frameworks5 repo.
    Those two packages were incompatible with packages provided by Frameworks5.

    I have solved in this way:
    Go to Yast2 -> Package Manager
    Select the Frameworks5 repository and click on "Switch System Packages".

    I suggest you to do the same thing with the repos Applications, Extra and LibQt.

    But now there is Plasma 5.12 and I don't know if my solution still works.
    Keep in mind that Plasma 5.12 for Leap 42.2 is incomplete; plasma-desktop rebuild fails and plasma-session requires plasma-desktop.
    So, after updating to Plasma 5.12, your Plasma version will remain at 5.11.95.

    https://build.opensuse.org/package/s...lasma5-desktop

    In my case, I have installed the updates to Plasma 5.12; now I still have Plasma 5.11.95 and the screenlocker works perfectly.

  3. #3
    Join Date
    Nov 2013
    Location
    Kamloops, BC, Canada
    Posts
    3,974

    Default Re: Screenlocker crash in opensuse Leap 42.2.

    You do know that 42.2 is past EOL, right?

    The repos for 42.2 will probably start disappearing soon, if they have not already.

    And, there are no more updates, fixes, or security fixes for 42.2.

    Best to update to 42.3.
    -Gerry Makaro
    Fraser-Bell Info Tech
    Solving Tech Mysteries since the Olden Days!
    ~~
    If I helped you, consider clicking the Star at the bottom left of my post.

  4. #4
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Screenlocker crash in opensuse Leap 42.2.

    it looks like you're mixing packages from different repo's if you are going to use the latest plasma 5.10 from the frameworks5 repo you need to do a full vendor change to that and two other repo's (KDE:Qt5 repo and KDE:Extra too)
    what's your repo list
    Code:
    zypper lr -d
    as Fraser_Bell said 42.2 is dead and not only there will be no more updates but the extra KDE repo's will be removed soon so an upgrade to 42.3 should be done as soon as possible
    you should read this wiki
    https://en.opensuse.org/SDB:KDE_repo...5_.26_Plasma_5
    note this passage from there
    Note for openSUSE Leap 42.x users: Leap 42.x ships with Qt 5.6.x, which is not recent enough for Plasma 5.10+, so to use KDE:Frameworks5, KDE:Qt5 is required. Use of that is not recommended as applications in the main or 3rd party repos might break due to API/ABI changes.
    using the latest Qt will break some other apps that depend on it like lxqt for LEAP which will not run on Qt 5.9

  5. #5

    Default Re: Screenlocker crash in opensuse Leap 42.2.

    Quote Originally Posted by I_A View Post
    it looks like you're mixing packages from different repo's if you are going to use the latest plasma 5.10 from the frameworks5 repo you need to do a full vendor change to that and two other repo's (KDE:Qt5 repo and KDE:Extra too)
    what's your repo list
    Code:
    zypper lr -d
    as Fraser_Bell said 42.2 is dead and not only there will be no more updates but the extra KDE repo's will be removed soon so an upgrade to 42.3 should be done as soon as possible
    you should read this wiki
    https://en.opensuse.org/SDB:KDE_repo...5_.26_Plasma_5
    note this passage from there

    using the latest Qt will break some other apps that depend on it like lxqt for LEAP which will not run on Qt 5.9
    The output from zypper:
    zypper lr -d
    Repository priorities are without effect. All enabled repositories share the same priority.

    # | Alias | Name | Enabled | GPG Check | Refresh | Priority | Type | URI | Service
    ---+-------------------------------------+-----------------------------------------------------------+---------+-----------+---------+----------+--------+-------------------------------------------------------------------------------------------------+--------
    1 | Fonti | Fonti | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/ |
    2 | KDE_Applications | KDE Applications | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/ |
    3 | KDE_Extra | KDE Extra | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/ |
    4 | KDE_Frameworks5 | KDE Frameworks5 | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/ |
    5 | Mozilla | Mozilla | No | ---- | ---- | 99 | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.3/ |
    6 | Mozilla_Thumbleweed | Mozilla Thumbleweed | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...SE_Tumbleweed/ |
    7 | Printing | Printing | No | ---- | ---- | 99 | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/ |
    8 | Publishing | Publishing | No | ---- | ---- | 99 | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/ |
    9 | Qt5 | Qt5 | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/ |
    10 | Science | Science | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/ |
    11 | Scribus | Scribus | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/ |
    12 | Security | Security | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/ |
    13 | VLC | VLC | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.videolan.org/pub/vlc/SuSE/Leap_42.2/ |
    14 | download.nvidia.com-leap | nVidia Graphics Drivers | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.nvidia.com/opensuse/leap/42.2 |
    15 | download.opensuse.org-non-oss | Main Repository (NON-OSS) | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensuse.org/distrib.../repo/non-oss/ |
    16 | download.opensuse.org-non-oss_1 | Update Repository (Non-Oss) | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/leap/42.2/non-oss/ |
    17 | download.opensuse.org-oss | Main Repository (OSS) | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensuse.org/distrib...42.2/repo/oss/ |
    18 | download.opensuse.org-oss_1 | Main Update Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/leap/42.2/oss |
    19 | http-download.opensuse.org-2ab52648 | devel:languagesython | No | ---- | ---- | 99 | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/ |
    20 | http-download.opensuse.org-2d9500f0 | home:marec2000ython | No | ---- | ---- | 99 | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/ |
    21 | http-download.opensuse.org-44997aba | home:marec2000:cryptocoins | No | ---- | ---- | 99 | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/ |
    22 | http-download.opensuse.org-a2c5f439 | home:marec2000:nodejs | No | ---- | ---- | 99 | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/ |
    23 | http-download.opensuse.org-a9ae8b00 | openSUSE:Leap:42.2:Update | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/leap/42.2/oss/ |
    24 | openSUSE-42.2-0 | openSUSE-42.2-0 | No | ---- | ---- | 99 | yast2 | hd:///?device=/dev/disk/by-id/usb-_Patriot_Memory_07A71501AE6B283E-0:0-part2 |
    25 | opensuse-guide.org-repo | Libdvdcss Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.2/ |
    26 | packman.inode.at-suse | Packman Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_42.2/ |
    27 | proxsign | SETCCE proXSign® Component Suite for (openSUSE_Leap_42.2) | Yes | (r ) Yes | Yes | 99 | rpm-md | http://public.setcce.si/proxsign/rep...USE_Leap_42.2/ |
    28 | repo-debug | openSUSE-Leap-42.2-Debug | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/d...42.2/repo/oss/ |
    29 | repo-debug-non-oss | openSUSE-Leap-42.2-Debug-Non-Oss | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/d.../repo/non-oss/ |
    30 | repo-debug-update | openSUSE-Leap-42.2-Update-Debug | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/u...leap/42.2/oss/ |
    31 | repo-debug-update-non-oss | openSUSE-Leap-42.2-Update-Debug-Non-Oss | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/u.../42.2/non-oss/ |
    32 | repo-source | openSUSE-Leap-42.2-Source | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/...42.2/repo/oss/ |
    33 | repo-source-non-oss | openSUSE-Leap-42.2-Source-Non-Oss | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/.../repo/non-oss/

    What do you suggest me to do. And if you telling me the 42.2 is dead, what about the LTS support, is it dead too.

  6. #6
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Screenlocker crash in opensuse Leap 42.2.

    Quote Originally Posted by krpan View Post
    The output from zypper:
    zypper lr -d
    Repository priorities are without effect. All enabled repositories share the same priority.

    Code:
    #  | Alias                               | Name                                                      | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                                             | Service
    ---+-------------------------------------+-----------------------------------------------------------+---------+-----------+---------+----------+--------+-------------------------------------------------------------------------------------------------+--------
     1 | Fonti                               | Fonti                                                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/                       |        
     2 | KDE_Applications                    | KDE Applications                                          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/ |        
     3 | KDE_Extra                           | KDE Extra                                                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/                        |        
     4 | KDE_Frameworks5                     | KDE Frameworks5                                           | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/                  |        
     5 | Mozilla                             | Mozilla                                                   | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.3/                           |        
     6 | Mozilla_Thumbleweed                 | Mozilla Thumbleweed                                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/reposit...SE_Tumbleweed/                          |        
     7 | Printing                            | Printing                                                  | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/                          |        
     8 | Publishing                          | Publishing                                                | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/                        |        
     9 | Qt5                                 | Qt5                                                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/                          |        
    10 | Science                             | Science                                                   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/                           |        
    11 | Scribus                             | Scribus                                                   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/        |        
    12 | Security                            | Security                                                  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/                |        
    13 | VLC                                 | VLC                                                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.videolan.org/pub/vlc/SuSE/Leap_42.2/                                            |        
    14 | download.nvidia.com-leap            | nVidia Graphics Drivers                                   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.nvidia.com/opensuse/leap/42.2                                                   |        
    15 | download.opensuse.org-non-oss       | Main Repository (NON-OSS)                                 | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distrib.../repo/non-oss/                               |        
    16 | download.opensuse.org-non-oss_1     | Update Repository (Non-Oss)                               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.2/non-oss/                                          |        
    17 | download.opensuse.org-oss           | Main Repository (OSS)                                     | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distrib...42.2/repo/oss/                                   |        
    18 | download.opensuse.org-oss_1         | Main Update Repository                                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.2/oss                                               |        
    19 | http-download.opensuse.org-2ab52648 | devel:languages:python                                    | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/          |        
    20 | http-download.opensuse.org-2d9500f0 | home:marec2000:python                                     | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/           |        
    21 | http-download.opensuse.org-44997aba | home:marec2000:cryptocoins                                | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/      |        
    22 | http-download.opensuse.org-a2c5f439 | home:marec2000:nodejs                                     | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/reposit...USE_Leap_42.2/           |        
    23 | http-download.opensuse.org-a9ae8b00 | openSUSE:Leap:42.2:Update                                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.2/oss/                                              |        
    24 | openSUSE-42.2-0                     | openSUSE-42.2-0                                           | No      | ----      | ----    |   99     | yast2  | hd:///?device=/dev/disk/by-id/usb-_Patriot_Memory_07A71501AE6B283E-0:0-part2                    |        
    25 | opensuse-guide.org-repo             | Libdvdcss Repository                                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.2/                                              |        
    26 | packman.inode.at-suse               | Packman Repository                                        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_42.2/                                                |        
    27 | proxsign                            | SETCCE proXSign® Component Suite for (openSUSE_Leap_42.2) | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://public.setcce.si/proxsign/rep...USE_Leap_42.2/                                       |        
    28 | repo-debug                          | openSUSE-Leap-42.2-Debug                                  | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/debug/d...42.2/repo/oss/                             |        
    29 | repo-debug-non-oss                  | openSUSE-Leap-42.2-Debug-Non-Oss                          | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/debug/d.../repo/non-oss/                         |        
    30 | repo-debug-update                   | openSUSE-Leap-42.2-Update-Debug                           | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/debug/u...leap/42.2/oss/                                        |        
    31 | repo-debug-update-non-oss           | openSUSE-Leap-42.2-Update-Debug-Non-Oss                   | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/debug/u.../42.2/non-oss/                                    |        
    32 | repo-source                         | openSUSE-Leap-42.2-Source                                 | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/source/...42.2/repo/oss/                            |        
    33 | repo-source-non-oss                 | openSUSE-Leap-42.2-Source-Non-Oss                         | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/source/.../repo/non-oss/
    What do you suggest me to do. And if you telling me the 42.2 is dead, what about the LTS support, is it dead too.
    try
    Code:
    zypper dup --from 26 --from 2 --from 4 --from 9
    42.2 is dead there will be no more updates period no matter if you're using plasma 5.8 LTS or plasma 5.10 you need to upgrade to 42.3

  7. #7

    Default Re: Screenlocker crash in opensuse Leap 42.2.

    The funny thing is that Leap-42.2 is more tested, complete and stable than Leap-42.3.

  8. #8
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Screenlocker crash in opensuse Leap 42.2.

    Quote Originally Posted by Ralph82 View Post
    The funny thing is that Leap-42.2 is more tested, complete and stable than Leap-42.3.
    no they're basically the same, LEAP 42 is a single OS where 42.2 is based on SLE 12sp2 and 42.3 is based on SLE 12sp3 they're both based on SLE 12, 42.2 has reached end of life and nobody is working on the 42.2 branch and there are no more updates for it

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •